Bug 7082 - Template improvements for better translatability
Summary: Template improvements for better translatability
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-24 14:02 UTC by Katrin Fischer
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7082: Template improvements for better translatability (1.22 KB, patch)
2011-10-24 14:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7082: Template improvements for better translatability (1.42 KB, patch)
2011-10-25 18:04 UTC, Magnus Enger
Details | Diff | Splinter Review
Screenshot - before (6.75 KB, image/png)
2011-10-25 18:06 UTC, Magnus Enger
Details
Screenshot - after (6.57 KB, image/png)
2011-10-25 18:07 UTC, Magnus Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-24 14:02:34 UTC
/cgi-bin/koha/admin/aqbudgets.pl

Problem:
<label for="show_mine">Show my<br /> funds only</label> 

This gets broken into 2 strings for translation which makes it very hard for translators to make sense of it. Patch removes the line break.
Comment 1 Katrin Fischer 2011-10-24 14:11:40 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2011-10-25 18:04:31 UTC
Created attachment 6054 [details] [review]
Bug 7082: Template improvements for better translatability

Problem:
/cgi-bin/koha/admin/aqbudgets.pl
<label for="show_mine">Show my<br /> funds only</label>

This gets broken into 2 strings for translation which makes it very hard for
translators to make sense of it.
Patch removes the line break.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
This patch removes the linebreak and has no ill effects that I can see, even
on a small screen. I'll attach before and after screenshots in Bugzilla.
Comment 3 Magnus Enger 2011-10-25 18:06:00 UTC
Created attachment 6055 [details]
Screenshot - before

Text is on two lines.
Comment 4 Magnus Enger 2011-10-25 18:07:45 UTC
Created attachment 6056 [details]
Screenshot - after

Text and checkbox is on one line.
Comment 5 Paul Poulain 2011-12-12 16:46:15 UTC
QA comment: tiny patch, great for translatability

patch pushed, please test
Comment 6 Jared Camins-Esakov 2012-05-23 12:27:25 UTC
Included in the 3.6 branch prior to 3.6.4.